using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Wo_TypeAlarmDate:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_TypeAlarmDate
	{
		public T_Wo_TypeAlarmDate()
		{}
		#region Model
		private int _f_id;
		private int? _f_deptid;
		private string _f_deptcode;
		private int? _f_workordertypeid;
		private int? _f_gcount;
		private int? _f_gunit;
		private int? _f_ccount;
		private int? _f_cunit;
		private int? _f_ismain;
		private int? _f_deleteflag;
		private int? _f_createby;
		private DateTime? _f_createdate;
		private int? _f_modifyby;
		private DateTime? _f_modifydate;
        private string _f_name;
		/// <summary>
		/// F_Id
		/// </summary>
		public int F_Id
		{
			set{ _f_id=value;}
			get{return _f_id;}
		}
        /// <summary>
        /// 类型名称
        /// </summary>
        public string F_Name
        {
            set { _f_name = value; }
            get { return _f_name; }
        }
		/// <summary>
		/// 所属区域
		/// </summary>
		public int? F_DeptId
		{
			set{ _f_deptid=value;}
			get{return _f_deptid;}
		}
		/// <summary>
		/// 区域Code
		/// </summary>
		public string F_DeptCode
		{
			set{ _f_deptcode=value;}
			get{return _f_deptcode;}
		}
		/// <summary>
		/// 工单类型Id
		/// </summary>
		public int? F_WorkOrderTypeId
		{
			set{ _f_workordertypeid=value;}
			get{return _f_workordertypeid;}
		}
		/// <summary>
		/// 告警时间数
		/// </summary>
		public int? F_Gcount
		{
			set{ _f_gcount=value;}
			get{return _f_gcount;}
		}
		/// <summary>
		/// 告警单位(0分钟，1小时，2天)
		/// </summary>
		public int? F_Gunit
		{
			set{ _f_gunit=value;}
			get{return _f_gunit;}
		}
		/// <summary>
		/// 超时时间数
		/// </summary>
		public int? F_Ccount
		{
			set{ _f_ccount=value;}
			get{return _f_ccount;}
		}
		/// <summary>
		/// 超时单位（0分钟，1小时，2天）
		/// </summary>
		public int? F_Cunit
		{
			set{ _f_cunit=value;}
			get{return _f_cunit;}
		}
		/// <summary>
		/// 是否全局参数
		/// </summary>
		public int? F_IsMain
		{
			set{ _f_ismain=value;}
			get{return _f_ismain;}
		}
		/// <summary>
		/// 删除标识
		/// </summary>
		public int? F_DeleteFlag
		{
			set{ _f_deleteflag=value;}
			get{return _f_deleteflag;}
		}
		/// <summary>
		/// 创建人
		/// </summary>
		public int? F_Createby
		{
			set{ _f_createby=value;}
			get{return _f_createby;}
		}
		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 修改人
		/// </summary>
		public int? F_ModifyBy
		{
			set{ _f_modifyby=value;}
			get{return _f_modifyby;}
		}
		/// <summary>
		/// 修改时间
		/// </summary>
		public DateTime? F_ModifyDate
		{
			set{ _f_modifydate=value;}
			get{return _f_modifydate;}
		}
		#endregion Model

	}
}

